/** Classe activityFilter
  * @see http://www.qtcentre.org/threads/1464-Detecting-user-inaction
  * @author
  * @see
  *
  *
  */


#ifndef ACTIVITYFILTER_H
#define ACTIVITYFILTER_H

#include <QObject>
#include <QtGui>
#include <QtCore>

class activityFilter : public QObject
{
    Q_OBJECT
    Q_PROPERTY(int interval READ interval WRITE setInterval)
public:
    activityFilter(QObject *parent = 0);
    int interval () const { return _interval; }
    void setInterval ( int msec ) { _interval = msec; }
signals:
    void userInactive();
public slots:
    void timeout();
protected:
    bool eventFilter(QObject *obj, QEvent *event);
private:
    QTimer *timer;
    int _interval;
};

#endif // ACTIVITYFILTER_H
