QT += core network gui

INCLUDEPATH += $$PWD
DEPENDPATH += $$PWD

HEADERS += abuledunetworkaccessmanagerv1.h \
           abuleduproxypassworddialog.h \
           abuledunetworkthreadv1.h \
           abuledussologinv1.h \
           abuledulocalsocketipcclientv1.h \
           abuledulocalsocketipcserverv1.h \
           simplecrypt.h \
           abuledudownloadprogressbar.h

SOURCES += abuledunetworkaccessmanagerv1.cpp \
           abuleduproxypassworddialog.cpp \
           abuledunetworkthreadv1.cpp \
           abuledussologinv1.cpp \
           abuledulocalsocketipcclientv1.cpp \
           abuledulocalsocketipcserverv1.cpp \
           simplecrypt.cpp \
           abuledudownloadprogressbar.cpp

FORMS += abuleduproxypassworddialog.ui \
         abuledussologinv1.ui \
         abuledudownloadprogressbar.ui

RESOURCES += abuledunetworkaccessmanagerv1.qrc \
             abuleduproxypassworddialog.qrc \
             abuledussologinv1.qrc

win32 {

}
macx {

}
linux-g++ {

}

!exists($$PWD/../abuleduapplicationv1/abuleduapplicationv1.h ) {
  error("la lib abuledunetworkaccessmanagerv1 dépend de abuleduapplicationv1: https://redmine.ryxeo.com/projects/ryxeo/wiki/AbulEduApplicationV1")
}

!exists($$PWD/../abuleduflatboutonv1/abuleduflatboutonv1.h ) {
  error("la lib abuledunetworkaccessmanagerv1 dépend de abuleduflatboutonv1: https://redmine.ryxeo.com/projects/ryxeo/wiki/AbulEduFlatBoutonV1")
}

!exists($$PWD/../maia/maia.pri ) {
  error("la lib abuledunetworkaccessmanagerv1 dépend de maia: https://redmine.ryxeo.com/projects/ryxeo/wiki/maia")
}
